Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.action.internal
Class CollectionUpdateAction

    java.lang.Object
      org.hibernate.action.internal.CollectionAction
          org.hibernate.action.internal.CollectionUpdateAction

All Implemented Interfaces:
  Serializable, Comparable, Executable

    public final class CollectionUpdateAction

extends CollectionAction

See Also:
  Serialized Form

Constructor Summary
`CollectionUpdateAction(PersistentCollection collection, CollectionPersister persister, Serializable id, boolean emptySnapshot, SessionImplementor session)`

Method Summary
`void` | `execute()` Execute this action

Methods inherited from class org.hibernate.action.internal.CollectionAction
`afterDeserialize, beforeExecutions, compareTo, eventSource, evict, getAfterTransactionCompletionProcess, getBeforeTransactionCompletionProcess, getCollection, getKey, getPersister, getPropertySpaces, getSession, listenerGroup, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CollectionUpdateAction

    public CollectionUpdateAction(PersistentCollection collection,
                                  CollectionPersister persister,
                                  Serializable id,
                                  boolean emptySnapshot,
                                  SessionImplementor session)

Method Detail

### execute

    public void execute()
                 throws HibernateException

  Description copied from interface: `Executable`
  Execute this action

  Throws:
    `HibernateException` - Indicates a problem during execution.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.